{{log "npc-sheet.hbs" this}}

<div class="npc">
    <form class="{{cssClass}} flexcol" autocomplete="off">
        {{!-- Sheet Header --}}
        <header class="npc-sheet-header flexrow">
            <img id="drag-link" class="npc-profile-img" src="{{actor.img}}" data-edit="img"
                data-tooltip="{{actor.name}}" height="64" width="64" />
            {{#if game.user.isGM}}
                <div class="help-info-clone"
                    style="display: flex;flex-direction: column;align-items: center;justify-content: space-between; max-width: 30px;height: 60px; max-width: 30px;">
                    <a class="content-link" data-link=""
                        style="margin-top: 0; flex-basis: 15px;flex-grow:0;border: none;" draggable="true"
                        data-uuid={{config.HELP.actor.npc.uuid}} data-id={{config.HELP.actor.npc.id}}
                        data-type={{config.HELP.actor.npc.type}} data-pack={{config.HELP.actor.npc.pack}}
                        data-tooltip="Documentation: NPC Sheet"><i class="{{config.HELP.actor.npc.icon}} "></i></a>

                    <i data-tooltip="Clone NPC to Character" style="margin-top: 0;flex-basis: 15px;flex-grow: 0;"
                        class="clone-covert-actor fa-solid fa-dna"></i>
                </div>
            {{/if}}
            <div class="npc-header-fields">
                <input class="actorname" name="name" type="text" value="{{actor.name}}" placeholder="Name" />
                <a class="generate-random-name" data-tooltip="Generate random name">
                    <i class="fas fa-recycle"></i></a>
            </div>
        </header>

        <div class="flexrow" style="align-items: center;">
            {{#if system.attributes.identified}}
            {{else}}
                <div class="flexrow" style="flex-grow: 2;">
                    <!-- Smaller flex-grow for label -->
                    <label data-tooltip="Alias used when Actor not identified"
                        style="flex-grow: 0; margin-top: auto; margin-bottom: auto; margin-right: 5px;">{{localize 'ARS.alias'}}</label>
                    {{#if game.user.isGM}}
                        <input name="system.alias" type="text" value="{{system.alias}}" placeholder="Alias Name" />
                    {{/if}}
                </div>
            {{/if}}
            <div class="flexcol">
                <div style="font-size:0.75em; justify-content: start;align-items: center;">
                    {{#if game.user.isGM}}
                        <input style="width:12px;height:10px" data-tooltip="Is this NPC identified, use it's real name?"
                            class="npc-identification" type="checkbox" name="system.attributes.identified"
                            {{ checked system.attributes.identified }} />
                        <label
                            style="flex-grow: 0; margin-top: auto; margin-bottom: auto; margin-right: 5px;">{{localize 'ARS.identified'}}</label>
                    {{/if}}
                </div>
                <div style="font-size:0.75em; justify-content: start;align-items: center;">
                    <input style="width:12px;height:10px" data-tooltip="Disable looting on this specific NPC"
                        type="checkbox" name="system.disablelooting" {{ checked system.disablelooting }} />
                    <label
                        style="flex-grow: 0; margin-top: auto; margin-bottom: auto; margin-right: 5px;">{{localize 'ARS.disablelooting'}}</label>
                </div>
            </div>
        </div>


        <nav class="sheet-tabs" data-group="primary">
            <div class="tab-items flexrow">

                <a class="item tab-item" data-tab="main" data-tooltip="{{ localize 'ARS.tabs.main' }}">
                    <i class="fas fa-dice-d20"></i>
                </a>

                <a class="item tab-item" data-tab="attributes" data-tooltip="{{ localize 'ARS.tabs.attributes' }}">
                    <i class="fas fa-dumbbell"></i>
                </a>

                <a class="item tab-item" data-tab="combat" data-tooltip="{{ localize 'ARS.tabs.combat' }}">
                    <i class="fas fa-swords"></i>
                </a>

                {{#if actor.hasSpellSlots}}
                    <a class="item tab-item" data-tab="spells" data-tooltip="{{ localize 'ARS.tabs.spells' }}">
                        <i class="fas fa-book-reader"></i>
                    </a>
                {{/if}}

                {{!-- #psionic --}}
                {{#if (and @root.actor.isPsionic @root.game.ars.config.settings.usePsionics)}}
                    <a class="item tab-item" data-tab="psionics" data-tooltip="{{ localize 'ARS.tabs.psionics' }}">
                        <i class="fas fa-head-side-brain"></i>
                    </a>
                {{/if}}

                <a class="item tab-item" data-tab="effects" data-tooltip="{{ localize 'ARS.tabs.effects' }}">
                    <i class="fas fa-bolt"></i>
                </a>

                <a class="item tab-item" data-tab="items" data-tooltip="{{ localize 'ARS.tabs.items' }}">
                    <i class="fas fa-treasure-chest"></i>
                </a>

                <a class="item tab-item" data-tab="proficiencies"
                    data-tooltip="{{ localize 'ARS.tabs.proficiencies' }}">
                    <i class="fas fa-fist-raised"></i>
                </a>

                <a class="item tab-item" data-tab="details" data-tooltip="{{ localize 'ARS.tabs.details' }}">
                    <i class="fas fa-cog"></i>
                </a>


                <a class="item tab-item" data-tab="description" data-tooltip="{{ localize 'ARS.tabs.description' }}">
                    <i class="fas fa-feather"></i>
                </a>

                {{#if game.user.isGM}}
                    <a class="item tab-item" data-tab="buildtools" data-tooltip="{{ localize 'ARS.tabs.buildtools' }}">
                        <i class="fas fa-hammer"></i>
                    </a>
                {{/if}}
            </div>
        </nav>

        {{!-- Sheet Body --}}
        <section class="sheet-body">
            {{!-- Main --}}
            <div class="tab main" data-group="primary" data-tab="main">
                <table>
                    <tr>
                        <td>
                            <div>
                                {{> "systems/ars/templates/actor/parts/npc-stat-block.hbs"}}
                            </div>
                        </td>
                    </tr>
                </table>

            </div>

            {{!-- Attributes --}}
            <div class="tab attributes" data-group="primary" data-tab="attributes">
                <div class="ability-save-grid">
                    {{!-- ability scores --}}
                    {{> "systems/ars/templates/actor/parts/abilityScore-block.hbs"}}

                    {{!-- saves --}}
                    {{> "systems/ars/templates/actor/parts/save-block.hbs"}}

                </div>
            </div>

            {{!-- Combat --}}
            <div class="tab combat" data-group="primary" data-tab="combat">
                <div class="general-header">{{ localize 'ARS.combat' }}</div>
                {{> "systems/ars/templates/actor/parts/combat-stats-block.hbs"}}

                {{> "systems/ars/templates/actor/tabs/tab-combat.hbs" tab="combat"}}
            </div>

            <div class="tab spells" data-group="primary" data-tab="spells">
                {{> "systems/ars/templates/actor/tabs/tab-spells.hbs" tab="spells"}}
            </div>

            {{!-- psionics tab --}}
            {{#if actor.isPsionic}}
                <div class="tab psionics info-helper-enabled" data-group="primary" data-tab="psionics"
                    data-info-type="power">
                    {{> "systems/ars/templates/actor/tabs/tab-psionics.hbs" tab="psionics"}}
                </div>
            {{/if}}

            <div class="tab effects info-helper-enabled" data-group="primary" data-tab="effects"
                data-info-type="effect">
                <div class="general-header ars_clps{{#if (getViewState @root.actor.id "effects")}} ars_clps_on{{/if}}"
                    data-vs-control="effects">{{ localize 'ARS.effects' }}</div>
                <div class="ars_clps_container" style="margin-bottom: 5px;">
                    {{> "systems/ars/templates/effects/parts/active-effects.hbs"}}
                </div>
            </div>

            {{!-- Gear/Owned Items Tab --}}
            <div class="tab items" data-group="primary" data-tab="items">
                <div class="gear-block">
                    {{> "systems/ars/templates/actor/parts/currency-block.hbs" tab="items"}}
                    <div style="margin-bottom: 3px;">
                        {{> "systems/ars/templates/actor/parts/daily-consume.hbs" tab="proficiencies"}}
                    </div>
                    {{> "systems/ars/templates/actor/parts/inventoryList-Sorted-block.hbs" tab="items"}}
                </div>
            </div>

            {{!-- Proficiencies Tab --}}
            <div class="tab proficiencies" data-group="primary" data-tab="proficiencies">
                <div class="proficiencies-block info-helper-enabled" data-info-type="item">
                    {{> "systems/ars/templates/actor/parts/itemsByTypeList-block.hbs" tab="proficiencies" itemsByTypeList=config.academicTypes}}
                </div>
                {{!-- skills --}}
                {{!-- {{#if actor.skills}} --}}
                <div class="skill-block info-helper-enabled" data-info-type="skill">
                    {{> "systems/ars/templates/actor/parts/skills-block.hbs" tab="proficiencies"}}
                </div>
                {{!-- {{/if}} --}}
            </div>

            {{!-- Details tab --}}
            <div class="tab details" data-group="primary" data-tab="details">

                <div class="race-background-block info-helper-enabled" data-info-type="item">
                    {{> "systems/ars/templates/actor/parts/itemsByTypeList-block.hbs" tab="details" itemsByTypeList=config.detailsItemTypes}}
                </div>

                {{> "systems/ars/templates/actor/parts/classlist-block.hbs"}}
                {{> "systems/ars/templates/actor/parts/character-general-block.hbs"}}
            </div>

            {{!-- description tab --}}
            <div class="tab description" data-group="primary" data-tab="description">
                {{> "systems/ars/templates/actor/parts/description.hbs"}}
            </div>

            <div class="tab buildtools" data-group="primary" data-tab="buildtools">
                {{> "systems/ars/templates/actor/tabs/tab-buildtools.hbs"}}
            </div>

        </section>

    </form>
</div>